<template>
  <div class="flex-auto flex flex-col space-y-8 pb-8">
    <div class="flex-auto">
      <Component
        :is="getCurrentComponent"
        @nextStage="nextStage"
        @goTo="goToStage"
      />
    </div>
    <SecurityFooter/>
  </div>
</template>

<script>
import SecurityFooter from "@/components/misc/SecurityFooter";
import {parentComponentMixin} from "@/utils/mixins";
import SkinAnalysis7 from "@/components/quizzes/SkinAnalysis/SkinAnalysis7";
import SkinAnalysis8 from "@/components/quizzes/SkinAnalysis/SkinAnalysis8";
import SkinAnalysis9 from "@/components/quizzes/SkinAnalysis/SkinAnalysis9";
import SkinAnalysis10 from "@/components/quizzes/SkinAnalysis/SkinAnalysis10";
import SkinAnalysis11 from "@/components/quizzes/SkinAnalysis/SkinAnalysis11";
export default {
  mixins: [parentComponentMixin],
  name: "SkinAnalysisEnd",
  components: {SecurityFooter},
  data() {
    return {
      stages: {
        1: SkinAnalysis7, 2: SkinAnalysis8, 3: SkinAnalysis9,
        4: SkinAnalysis10, 5: SkinAnalysis11
      },
      stageNumber: 1
    }
  }
}
</script>

<style scoped>

</style>
